=== debian/changelog ===
liquidsoap (2.1.3-2) unstable; urgency=medium

  * Refresh patches
  * Prevent large memory spikes loading remote content (Closes: #1033068)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 28 Mar 2023 09:12:02 +0100

liquidsoap (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3
  * Drop patches fixed upstream
  * Build-dep on libcurl-ocaml-dev and liburi-ocaml-dev
  * Remove examples dropped upstream
  * Replace suggests youtube-dl with yt-dlp (Closes: #1024228)
  * Add new copyright information
  * Update language.dtd
  * Override source-is-missing lintian error
  * Update patches
  * Fix autopkgtests

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Dec 2022 10:15:34 +0200
