## liquidsoap 2.2.4

=== debian/changelog ===
liquidsoap (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4 (Closes: #1064128)
  * Drop gstreamer and lastfm support to fix build

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 21 Mar 2024 16:02:22 +0000

liquidsoap (2.2.3-1) unstable; urgency=medium

  * New upstream version 2.2.3

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 18 Jan 2024 13:51:05 +0000

liquidsoap (2.2.2-2) unstable; urgency=medium

  * Add missing Breaks+Replaces (Closes: #1057058)

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 19 Dec 2023 10:48:42 +0000

liquidsoap (2.2.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Add Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2

  [ Kyle Robbertze ]
  * Update d/watch to use new upstream artifact naming
  * Move to Dune as the build system
  * Remove old patches now upstreamed or irrelevant
  * New upstream version 2.2.2 (Closes: #1042099)
  * Drop SDL dependency (Closes: #1038078)
  * Add DSSI support
  * Split out documentation into a new package
  * Update d/copyright

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 28 Nov 2023 09:44:39 +0000
