=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                debhelper (>= 11),
                debhelper-compat (=13),
                dh-elpa,
-               dh-ocaml (>= 1.0.1),
+               dh-ocaml (>= 1.2.2),
                festival,
                fonts-liberation,
+               git,
                libalsa-ocaml-dev (>= 0.2.1) [linux-any],
                libao-ocaml-dev (>= 0.2.0),
                libbjack-ocaml-dev (>= 0.1.3),
@@ -17,31 +18,38 @@
                libcamomile-ocaml-dev (>= 1.0.0),
                libcry-ocaml-dev (>= 0.6.0),
                libcurl-ocaml-dev (>= 0.9.2),
+               libdssi-ocaml-dev,
                libdtools-ocaml-dev (>= 0.4.1),
+               libdune-ocaml-dev,
                libduppy-ocaml-dev (>= 0.8.0),
                libfaad-ocaml-dev (>= 0.5.0),
                libffmpeg-ocaml-dev (>= 1.0.0),
+               libfileutils-ocaml-dev,
                libflac-ocaml-dev (>= 0.3.0),
                libfrei0r-ocaml-dev (>= 0.1.0),
                libgavl-ocaml-dev (>= 0.1.4),
-               libgd-ocaml-dev | libgd-gd2-noxpm-ocaml-dev,
-               libgstreamer-ocaml-dev (>= 0.3.0),
+               libgd-ocaml-dev (>= 1.0~alpha5.git20220521.bb52fb2),
                libinotify-ocaml-dev (>= 1.0) [linux-any],
                libladspa-ocaml-dev (>= 0.1.4),
-               liblastfm-ocaml-dev (>= 0.3.0),
                liblo-ocaml-dev (>= 0.2.0),
                libmad-ocaml-dev (>= 0.1.4),
+               libmagic-mime-ocaml-dev,
                libmagic-ocaml-dev (>= 0.6),
                libmenhir-ocaml-dev,
-               libmm-ocaml-dev (>= 0.7.0),
+               libmetadata-ocaml-dev,
+               libmm-ocaml-dev (>= 0.8.5-4),
                libmp3lame-ocaml-dev (>= 0.3.2),
                libogg-ocaml-dev (>= 0.7.0),
                libopus-ocaml-dev (>= 0.2.0),
                libpcre-ocaml-dev,
+               libppx-enumerate-ocaml-dev,
+               libppx-hash-ocaml-dev,
+               libppx-sexp-conv-ocaml-dev,
+               libppx-string-ocaml-dev,
+               libbitstring-ocaml-dev,
                libportaudio-ocaml-dev (>= 0.2.0),
                libpulse-ocaml-dev (>= 0.1.2),
                libsamplerate-ocaml-dev (>= 0.1.1),
-               libsdl-ocaml-dev,
                libsedlex-ocaml-dev (>= 2.0),
                libshine-ocaml-dev (>= 0.2.0),
                libsoundtouch-ocaml-dev (>= 0.1.7),
@@ -57,10 +65,12 @@
                libyojson-ocaml-dev,
                menhir,
                ocaml (>= 4.08),
+               ocaml-dune (>= 2.8.0),
                ocaml-findlib,
                pandoc,
                sox
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
 Homepage: https://www.liquidsoap.info/
@@ -77,7 +87,11 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: logrotate, vorbis-tools, vorbisgain
-Suggests: festival, icecast2, mplayer, yt-dlp
+Suggests: festival,
+          icecast2,
+          mplayer,
+          yt-dlp,
+          liquidsoap-docs
 Provides: ${ocaml:Provides}
 Description: audio streaming language
  Liquidsoap is a powerful tool for building complex audio streaming systems,
@@ -112,3 +126,21 @@
  .
  This package provides an (X)Emacs mode which makes it easier to edit
  Liquidsoap source code.
+
+Package: liquidsoap-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Breaks: liquidsoap (<< 2.2.2)
+Replaces: liquidsoap (<< 2.2.2)
+Suggests: liquidsoap
+Depends: ${misc:Depends}
+Description: Documentation for Liquidsoap
+ Liquidsoap is a powerful tool for building complex audio streaming systems,
+ typically targeting internet radios (e.g. icecast streams).
+ .
+ It consists of a simple script language, in which you can create, combine and
+ transform audio sources. Its design makes liquidsoap flexible and easily
+ extensible.
+ .
+ This package contains the documentation for using Liquidsoap
