## liquidsoap 2.3.0

=== debian/changelog ===
liquidsoap (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0 (Closes: #1072432, #1077110, #1064128)
  * Bump Standards-Version to 4.7.0 (no change)
  * Re-enable lastfm support
  * Configure cache directory
  * Refresh patches

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 11 Jan 2025 10:40:00 +0000
