=== debian/control ===
--- 
+++ 
@@ -11,65 +11,64 @@
                festival,
                fonts-liberation,
                git,
-               libalsa-ocaml-dev (>= 0.2.1) [linux-any],
+               js-of-ocaml (>= 5.7.2),
+               libalsa-ocaml-dev (>= 0.3.0) [linux-any],
                libao-ocaml-dev (>= 0.2.0),
                libbjack-ocaml-dev (>= 0.1.3),
                libcamlimages-ocaml-dev (>= 4.0.1-6),
-               libcamomile-ocaml-dev (>= 1.0.0),
-               libcry-ocaml-dev (>= 0.6.0),
+               libcamomile-ocaml-dev (>= 2.0.0),
+               libcry-ocaml-dev (>= 1.0.3),
                libcurl-ocaml-dev (>= 0.9.2),
-               libdssi-ocaml-dev,
-               libdtools-ocaml-dev (>= 0.4.1),
+               libdssi-ocaml-dev (>= 0.1.3),
+               libdtools-ocaml-dev (>= 0.4.5),
                libdune-ocaml-dev,
-               libduppy-ocaml-dev (>= 0.8.0),
+               libduppy-ocaml-dev (>= 0.9.4),
                libfaad-ocaml-dev (>= 0.5.0),
-               libffmpeg-ocaml-dev (>= 1.0.0),
+               libffmpeg-ocaml-dev (>= 1.2.0),
                libfileutils-ocaml-dev,
                libflac-ocaml-dev (>= 0.3.0),
                libfrei0r-ocaml-dev (>= 0.1.0),
-               libgavl-ocaml-dev (>= 0.1.4),
                libgd-ocaml-dev (>= 1.0~alpha5.git20220521.bb52fb2),
+               libgraphics-ocaml-dev,
                libinotify-ocaml-dev (>= 1.0) [linux-any],
-               libladspa-ocaml-dev (>= 0.1.4),
+               libladspa-ocaml-dev (>= 0.2.0),
+               liblastfm-ocaml-dev (>= 0.3.4),
                liblo-ocaml-dev (>= 0.2.0),
-               libmad-ocaml-dev (>= 0.1.4),
+               libmad-ocaml-dev (>= 0.5.0),
                libmagic-mime-ocaml-dev,
                libmagic-ocaml-dev (>= 0.6),
+               libmem-usage-ocaml-dev (>= 0.1.1),
                libmenhir-ocaml-dev,
-               libmetadata-ocaml-dev,
+               libmetadata-ocaml-dev (>= 0.3.0),
                libmm-ocaml-dev (>= 0.8.5-4),
-               libmp3lame-ocaml-dev (>= 0.3.2),
-               libogg-ocaml-dev (>= 0.7.0),
+               libmp3lame-ocaml-dev (>= 0.3.7),
+               libogg-ocaml-dev (>= 0.7.4),
                libopus-ocaml-dev (>= 0.2.0),
-               libpcre-ocaml-dev,
+               libportaudio-ocaml-dev (>= 0.2.0),
                libppx-enumerate-ocaml-dev,
                libppx-hash-ocaml-dev,
                libppx-sexp-conv-ocaml-dev,
                libppx-string-ocaml-dev,
-               libbitstring-ocaml-dev,
-               libportaudio-ocaml-dev (>= 0.2.0),
-               libpulse-ocaml-dev (>= 0.1.2),
-               libsamplerate-ocaml-dev (>= 0.1.1),
-               libsedlex-ocaml-dev (>= 2.0),
+               libpulse-ocaml-dev (>= 0.1.4),
+               libre-ocaml-dev (>= 1.11.0),
+               libsamplerate-ocaml-dev (>= 0.1.5),
+               libsaturn-lockfree-ocaml-dev (>= 0.4.1),
+               libsedlex-ocaml-dev (>= 3.2),
                libshine-ocaml-dev (>= 0.2.0),
-               libsoundtouch-ocaml-dev (>= 0.1.7),
+               libsoundtouch-ocaml-dev (>= 0.1.9),
                libspeex-ocaml-dev (>= 0.4.0),
-               libssl-ocaml-dev (>= 0.5.2),
-               libtaglib-ocaml-dev (>= 0.3.0),
+               libssl-ocaml-dev (>= 0.7.0),
                libtheora-ocaml-dev (>= 0.4.0),
                liburi-ocaml-dev,
-               libvoaacenc-ocaml-dev,
                libvorbis-ocaml-dev (>= 0.8.0),
-               libxml-dom-perl,
                libxmlplaylist-ocaml-dev (>= 0.1.3),
-               libyojson-ocaml-dev,
-               menhir,
-               ocaml (>= 4.08),
-               ocaml-dune (>= 2.8.0),
+               menhir (>= 2.1),
+               ocaml (>= 4.14),
+               ocaml-dune (>= 3.6.0),
                ocaml-findlib,
                pandoc,
-               sox
-Standards-Version: 4.6.2
+               python3-pandoc-include
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/liquidsoap.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/liquidsoap
@@ -81,17 +80,12 @@
          curl,
          libcamomile-ocaml-data (>= 1.0.0),
          ocaml-base,
-         sox,
          ${misc:Depends},
          ${ocaml:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
 Recommends: logrotate, vorbis-tools, vorbisgain
-Suggests: festival,
-          icecast2,
-          mplayer,
-          yt-dlp,
-          liquidsoap-docs
+Suggests: festival, icecast2, liquidsoap-docs, mplayer, yt-dlp
 Provides: ${ocaml:Provides}
 Description: audio streaming language
  Liquidsoap is a powerful tool for building complex audio streaming systems,
